% === brownfunc8kHz.m -      ===
clear all;
clc;
Fs = 8000;
T = 10;
N = T*Fs;

x = randn(N,1);

Naver = 11;
beta = 1/Naver;
z(1) = x(1);
for n = 2:N
    z(n) = (1-beta)*z(n-1)+beta*x(n);
end
z = z/std(z);

window = rectwin(1024); noverlap = 0; nfft = 1024;
[Px,f] = pwelch(x,window,noverlap,nfft,Fs);
[Pz,f] = pwelch(z,window,noverlap,nfft,Fs);

figure;
plot(f,10*log10(Px),f,10*log10(Pz),'r','LineWidth',2);
xlabel(', ','fontsize',14); 
ylabel(' , ','fontsize',14);
legend('','');
